org.infinispan.schematic.internal.delta

## Class SetValueOperation

- java.lang.Object
- - org.infinispan.schematic.internal.delta.Operation
  - - org.infinispan.schematic.internal.delta.ArrayOperation
    - - org.infinispan.schematic.internal.delta.SetValueOperation

-     @SerializeWith(value=SetValueOperation.Externalizer.class)
      public class SetValueOperation
      extends ArrayOperation

  An atomic array add operation for SchematicValueDelta.
  Since:
    5.1

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SetValueOperation.Externalizer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `index`
    `protected Object` | `oldValue`
    `protected Object` | `value`

    - ### Fields inherited from class org.infinispan.schematic.internal.delta.Operation

      `parentPath`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetValueOperation(Path parentPath, Object value, int index)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SetValueOperation` | `clone()`
    `boolean` | `equals(Object obj)`
    `int` | `getIndex()`
    `Object` | `getValue()`
    `void` | `replay(MutableDocument delegate)`
    `void` | `rollback(MutableDocument delegate)`
    `String` | `toString()`

    - ### Methods inherited from class org.infinispan.schematic.internal.delta.ArrayOperation

      `cloneValues, mutableParent`

    - ### Methods inherited from class org.infinispan.schematic.internal.delta.Operation

      `cloneValue, equalsIfNotNull, getParentPath, hashCode`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### value

          protected final Object value

    - #### index

          protected final int index

    - #### oldValue

          protected transient Object oldValue

  - ### Constructor Detail

    - #### SetValueOperation

          public SetValueOperation(Path parentPath,
                           Object value,
                           int index)

  - ### Method Detail

    - #### clone

          public SetValueOperation clone()

      Specified by:
        `clone` in class `Operation`

    - #### rollback

          public void rollback(MutableDocument delegate)

      Specified by:
        `rollback` in class `Operation`

    - #### getIndex

          public int getIndex()

    - #### getValue

          public Object getValue()

    - #### replay

          public void replay(MutableDocument delegate)

      Specified by:
        `replay` in class `Operation`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.